Interface for managing WebDriver log records.

### Hierarchy

- Logs

## Index

### Constructors

- constructor

### Methods

- get
- getAvailableLogTypes

## Constructors

### constructor

- new Logs(driver: WebDriver): Logs

- #### Parameters

  - ##### driver: WebDriver

    The parent driver.

  #### Returns Logs

## Methods

### get

- get(type: string): Promise<Entry[]>

- Fetches available log entries for the given type.

  Note that log buffers are reset after each call, meaning that available log entries correspond to those entries not yet returned for a given log type. In practice, this means that this call will return the available log entries since the last call, or from the start of the session.

  #### Parameters

  - ##### type: string

    The desired log type.

  #### Returns Promise<Entry[]>

  A promise that will resolve to a list of log entries for the specified type.

### getAvailableLogTypes

- getAvailableLogTypes(): Promise<string[]>

- Retrieves the log types available to this driver.

  #### Returns Promise<string[]>

  A promise that will resolve to a list of available log types.

Generated using TypeDoc